
// Copyright (C) 2008-2009 - INRIA - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

//
// makematrix_cauchy --
//   Returns the Cauchy matrix of size n with entries x, y
// Arguments
//   x, y : row vectors with size n
// Reference
//  Nicolas Higham, Accuracy and Stability of Numerical Algorithms
//  A Gallery of Test Matrices
//
function m = makematrix_cauchy ( x , y )
  nx = length(x);
  ny = length(y);
  if nx<> ny then
    error(sprintf("The lengths of input vectors x (length=%d) and y (length=%d) are not equal.",nx, ny))
  end
  for i = 1:nx
  for j = 1:nx
    m(i,j) = 1.0/(x(i) + y(j));
  end
  end
endfunction

