
// Copyright (C) 2008-2009 - INRIA - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

//
// makematrix_invhilbert --
//   Returns the inverse of the Hilbert matrix of size n
// Arguments, input
//  n : the size of the matrix to return
// Reference
//  http://en.wikipedia.org/wiki/Hilbert_matrix
//  Note : translated from Scilab fortran source code hilber.f
//
function a = makematrix_invhilbert ( n )
  a = zeros(n,n);
  p = n
  for i = 1: n
    if i <> 1 then
      p = ((n-i+1)*p*(n+i-1))/(i-1)**2
    end
    r = p * p
    a(i,i) = r/(2*i-1)
    for j = i+1 : n
      r = - (r /(j-1)**2) * ((n-j+1) * (n+j-1))
      a(i,j) = r/(i+j-1)
      a(j,i) = a(i,j)
    end
  end
endfunction

