
// Copyright (C) 2008 - INRIA - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

//
// assert_equal --
//   Returns 1 if the two real matrices computed and expected are equal.
// Arguments
//   computed, expected : the two matrices to compare
//   epsilon : a small number
//
function flag = assert_equal ( computed , expected )
  if computed==expected then
    flag = 1;
  else
    flag = 0;
  end
  if flag <> 1 then pause,end
endfunction

computed = makematrix_vandermonde ( [] );
expected = [
];
assert_equal ( computed , expected );

computed = makematrix_vandermonde ( [1] );
expected = [
1
];
assert_equal ( computed , expected );

computed = makematrix_vandermonde ( 1:2 );
expected = [
1     1
2     1
];
assert_equal ( computed , expected );

computed = makematrix_vandermonde ( 1:3 );
expected = [
     1     1     1
     4     2     1
     9     3     1
];
assert_equal ( computed , expected );

computed = makematrix_vandermonde ( 1:5 );
expected = [
     1     1     1     1     1
    16     8     4     2     1
    81    27     9     3     1
   256    64    16     4     1
   625   125    25     5     1
];
assert_equal ( computed , expected );


